package com.tuoheng.admin.conver;

import com.tuoheng.admin.entity.Dept;
import com.tuoheng.admin.vo.dept.DeptInfoVo;
import com.tuoheng.admin.vo.dept.DeptTreeVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface DeptConverMapper {

    DeptConverMapper INSTANCE = Mappers.getMapper(DeptConverMapper.class);

    DeptInfoVo fromDeptToDeptVo(Dept dept);

    /**
     * deptList 转化为 deptVoList
     * @param deptList
     *
     * @return
     */
    List<DeptTreeVo> deptListToDeptVoList(List<Dept> deptList);

}
